Thank you Neet. This concept is a bit difficult to explain but you did a good job!
@Mad7K2 жыл бұрын
To be honest at the start I thought I was completely off the mark, but that's exactly how I solved it, thanks for the video.
@SkyeTian2 жыл бұрын
I understand why we are adding a top row since it would be out of bounds when we are calculating prefix sum for the first row (no "above"), but why are we also adding a left column?
@kariuki66442 жыл бұрын
My first time hearing about prefix sum but this made it easier to understand
@aishwaryaranghar33852 жыл бұрын
Really liking the strategy of posting videos on the streak day!!
@mohammedafzal4343 Жыл бұрын
At first, it was a little tough to understand, but I watched this video multiple times. Now I fully understood the concept! thanks Neetcode!
@dabobrotosarkar72662 жыл бұрын
Hey Neet! You explain great! I love your videos. Can you make a video about Problem 307. Range Sum Query - Mutable? It uses Segment Trees to optimize the algorithm. Would love to see that!
@hinatahyuga30382 жыл бұрын
thank you so much sir, took me 3 hours to understand it
@jasdeepsinghgrover24702 жыл бұрын
This can be generalized to all shapes with vertical or horizontal edges... Then we can apply inclusion exclusion principle
@krishnalath12662 жыл бұрын
Thank You for such a wonderful explanation....
@programmermainul65582 жыл бұрын
It would be great video. I am jumping on this r8 now. Cheers!
@ainazikmomunalieva37322 жыл бұрын
Thank you! You are a master at explaining!
@ይኩነኒ Жыл бұрын
you're de besttttt....Thank youuuuu
@amosluesun5852 жыл бұрын
this is fabulous, nice work
@DK-ox7ze Жыл бұрын
What's the logic behind calculating prefix sum for each cell? What's the intuition behind the formula you used?
@spyboy00762 жыл бұрын
I don't know what will i do. I can't think of anything while solving these problems
@staffeng2 жыл бұрын
I think the only way is to first solve enough problems by learning through videos like this in a systemic manner, like going from one topic to another, practicing them again from memory, and then attempting enough new problems on our own till we are able to solve most of the unseen mediums. This is going to take an insane amount of time but for those like us who are not naturally gifted at this, I think it's the only way. @NeetCode - can you create a video on how you got to a stage where you can solve unseen mediums or hards?
@gunahawk68932 жыл бұрын
@@staffeng great 👏
@greedyfishbonesАй бұрын
datebayo
@firomsamt7642 Жыл бұрын
mind blowing!👏
@pulakammalathy69682 жыл бұрын
cant we compute the prefix matrix in place of the given matrix ?
@mohithadiyal60832 жыл бұрын
No doubt , great video as usual 😀
@monadastar93932 жыл бұрын
thank you so much
@b99442362 жыл бұрын
Tanks a lot ~
@reapergrim53246 ай бұрын
Line 10 : above = matrix[i][j+1] How is this above it should be right ?
@akram59603 күн бұрын
Thanks bhai :)
@rajsuriyang34272 жыл бұрын
one-liner: The time limit is exceeding, Why? return sum([sum(self.matrix[i:row2+1][0][col1:col2+1]) for i in range(row1,row2+1)]) Can you explain?
@sirmidor2 жыл бұрын
Because you're completely ignoring what the exercise asks: What you typed is not O(1) time complexity for getting a region's sum. Your matrix indexing is also less than optimal: You're already looping over range(row1, row2 + 1), so you would just take self.matrix[i] instead of unnecessarily doing self.matrix[i:row2+1][0] to get a row of the matrix.
@sahaiabhishek Жыл бұрын
Excellent
@vasujain19702 жыл бұрын
Interesting video.
@Nisha.......2 жыл бұрын
Sir, will you please solve leetcode 174?
@rahulkhatoliya68142 жыл бұрын
crystal clear
@kirillzlobin7135 Жыл бұрын
Amazing
@VidyaBhandary2 жыл бұрын
Awesome ....
@theghostwhowalk2 жыл бұрын
Great video. Mind helping with similar video on Range sum mutable 308 which has update func. Would be great to understand Index tree implementations.
@robertlemiesz71439 ай бұрын
I would honestly never ask this in an interview. Kinda feels like you either have seen the problem and know the answer, or need to take significant amount of time deriving it. Tells you nothing about the candidate, except whether or not they do alot of leet code.
@krateskim41692 жыл бұрын
nice
@johnvick8861 Жыл бұрын
within a min i understood .
@IcurseutubeАй бұрын
One of the worst implementations of the 2D prefix sum. The explanation is great though.